Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Class Report

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.Report

All Implemented Interfaces:
  Annotated, IXObject, Sendable, java.io.Serializable, java.lang.Cloneable

    public class Report

extends AbstractIXObject
implements java.io.Serializable, java.lang.Cloneable, Sendable

A report sent from another agent.

See Also:
  Serialized Form

Field Summary
`protected Priority` | `priority`
`protected Name` | `ref`
`protected ReportType` | `reportType`
`protected Name` | `senderId`
`protected java.lang.String` | `text`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`Report()`
`Report(ReportType type, java.lang.String text)`
`Report(java.lang.String text)`

Method Summary
`void` | `addConstraint(Constraint c)`
`java.lang.Object` | `clone()`
`java.util.List` | `getConstraints()`
`Priority` | `getPriority()`
`Name` | `getRef()`
`ReportType` | `getReportType()`
`Name` | `getSenderId()`
`java.lang.String` | `getText()`
`boolean` | `isCompletion()`
`boolean` | `isFailure()`
`boolean` | `isProgress()`
`boolean` | `isSuccess()`
`void` | `setConstraints(java.util.List cons)`
`void` | `setPriority(Priority priority)`
`void` | `setRef(Name ref)`
`void` | `setReportType(ReportType type)`
`void` | `setSenderId(Name id)`
`void` | `setText(java.lang.String text)`
`java.lang.String` | `toString()`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### text

    protected java.lang.String text

### reportType

    protected ReportType reportType

### priority

    protected Priority priority

### senderId

    protected Name senderId

### ref

    protected Name ref

Constructor Detail

### Report

    public Report()

### Report

    public Report(java.lang.String text)

### Report

    public Report(ReportType type,
                  java.lang.String text)

Method Detail

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getReportType

    public ReportType getReportType()

### setReportType

    public void setReportType(ReportType type)

### getPriority

    public Priority getPriority()

### setPriority

    public void setPriority(Priority priority)

### getSenderId

    public Name getSenderId()

  Specified by:
    `getSenderId` in interface `Sendable`

### setSenderId

    public void setSenderId(Name id)

  Specified by:
    `setSenderId` in interface `Sendable`

### getRef

    public Name getRef()

### setRef

    public void setRef(Name ref)

### isCompletion

    public boolean isCompletion()

### isSuccess

    public boolean isSuccess()

### isFailure

    public boolean isFailure()

### isProgress

    public boolean isProgress()

### getConstraints

    public java.util.List getConstraints()

### setConstraints

    public void setConstraints(java.util.List cons)

### addConstraint

    public void addConstraint(Constraint c)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `Sendable`
  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD